# Name Enquiry

The "Name Enquiry" endpoint allows customers to perform name inquiries on a customer's account. It facilitates retrieving recipient name information for verification before initiating a transfer.&#x20;

<mark style="color:green;">`POST`</mark> `/api/transfer/v1/NameEnquiry`

You need to provide the necessary parameters, such as `destinationAccountNumber`,`destinationInstitutionCode` and other identifying information, to retrieve the name associated with the recipient account.

**Headers**

| Name                                            | Value                |
| ----------------------------------------------- | -------------------- |
| Content-Type<mark style="color:red;">\*</mark>  | `application/json`   |
| Authorization<mark style="color:red;">\*</mark> | `Bearer <token>`     |
| Request-Reference                               | `{unique-reference}` |

**Body**

<table><thead><tr><th width="182">Name</th><th width="174">Data Type (length)</th><th width="104" data-type="checkbox">Required</th><th>Description</th></tr></thead><tbody><tr><td><code>destinationAccountNumber</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(10)</em></a></td><td>true</td><td>The designated account number for which the name enquiry is performed</td></tr><tr><td><code>sourceAccountNumber</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(10)</em></a></td><td>false</td><td>The sender's account number<br><br><em><mark style="color:orange;">This field is required for transfer gateways like Interswitch, so you should always pass it.</mark></em></td></tr><tr><td><code>destinationInstitutionCode</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(6)</em></a></td><td>true</td><td>The institution code of the destination bank</td></tr><tr><td><code>amount</code></td><td>integer</td><td>false</td><td>The intended transfer amount in <strong>Kobo.</strong><br><br><em><mark style="color:orange;">This field is required for transfer gateways like Interswitch, so you should always pass it.</mark></em></td></tr></tbody></table>

Here is an example request and response with a sample payload sent to the endpoint in Curl format.

<details>

<summary>Sample Request</summary>

```json
curl --location -g '{{baseurl}}/api/transfer/v1/NameEnquiry' \
--header 'Authorization: bearer {token}' \
--header 'request-reference: {unique_reference}' \
--header 'Content-Type: application/json' \
--data '{
  "accountNumber": "string",
  "destinationInstitutionCode": "string"
}'
```

</details>

<details>

<summary>Respose: <code>200</code></summary>

```json
{
  "destinationInstitutionCode": "string",
  "channelCode": "string",
  "accountNumber": "string",
  "accountName": "string",
  "transactionReference": "string",
  "bankVerificationNumber": "string",
  "address": "string",
  "kycLevel": "int",
  "responseCode": "string",
  "message": "string",
  "clientRef": "string",
  "sessionID": "string"
}
```

</details>

[^1]: This is the maximum number of characters allowed.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.udara360.io/udara360-docs-1/transactions/transfer-api/name-enquiry.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
